{"_id":"5845cee09faf12230009b077","user":"568bdbc4fe6fcc0d006dc970","version":{"_id":"582789aabe5c080f00a5a7fe","__v":10,"project":"568bdc1483d2061900d86cdc","createdAt":"2016-11-12T21:29:14.915Z","releaseDate":"2016-11-12T21:29:14.915Z","categories":["582789abbe5c080f00a5a7ff","582789abbe5c080f00a5a800","582789abbe5c080f00a5a801","582789abbe5c080f00a5a802","582789abbe5c080f00a5a803","582789abbe5c080f00a5a804","582789abbe5c080f00a5a805","582789abbe5c080f00a5a806","582789abbe5c080f00a5a807","582789abbe5c080f00a5a808","5827ea984ca29e0f00137a9e","583df597887db62f00644283","583df5d9c622791900e78da5","5845cd8763c11b250037967d","5845d13063c11b2500379681","5859e859e3306d1900126725","587aeb9a01cf3a0f008359eb","587c422af45e2d0f005e200d","587d84dc82f6f30f004ceee5"],"is_deprecated":false,"is_hidden":false,"is_beta":true,"is_stable":true,"codename":"beta2","version_clean":"0.0.0","version":"0"},"__v":0,"category":{"_id":"5845cd8763c11b250037967d","__v":0,"project":"568bdc1483d2061900d86cdc","version":"582789aabe5c080f00a5a7fe","sync":{"url":"","isSync":false},"reference":false,"createdAt":"2016-12-05T20:26:47.096Z","from_sync":false,"order":6,"slug":"setup-instructions","title":"Setup Instructions"},"project":"568bdc1483d2061900d86cdc","parentDoc":null,"updates":[],"next":{"pages":[],"description":""},"createdAt":"2016-12-05T20:32:32.104Z","link_external":false,"link_url":"","githubsync":"","sync_unique":"","hidden":false,"api":{"results":{"codes":[]},"settings":"","auth":"required","params":[],"url":""},"isReference":false,"order":3,"body":"[block:api-header]\n{\n  \"type\": \"basic\",\n  \"title\": \"Prerequisites\"\n}\n[/block]\nDroplit command line tools require the Node.js runtime.\n\n[Install Node.js on Windows](doc:install-nodejs-on-windows)\n[Install Node.js on macOS](doc:install-nodejs-on-macos) \n[Install Node.js on Linux/Embedded](doc:install-nodejs-on-linux) \n[block:api-header]\n{\n  \"type\": \"basic\",\n  \"title\": \"Installing the Droplit CLI\"\n}\n[/block]\nThe Droplit CLI provides full control of the API from the command line.\n\nRun:\n `npm install -g droplit-cli`\n\n\nFor more details on how to use the droplit CLI, see: [Command Line Interface](doc:command-line-interface) \n\n[block:image]\n{\n  \"images\": [\n    {\n      \"image\": [\n        \"https://files.readme.io/0258308-Screen_Shot_2016-12-05_at_9.13.11_PM.png\",\n        \"Screen Shot 2016-12-05 at 9.13.11 PM.png\",\n        589,\n        492,\n        \"#eff0ec\"\n      ]\n    }\n  ]\n}\n[/block]\n\n[block:callout]\n{\n  \"type\": \"warning\",\n  \"title\": \"Permissions error when isntalling packages globally\",\n  \"body\": \"If you encounter an **EACCES** error when installing npm packages globally, see:\\n[Install Node.js on macOS](doc:install-nodejs-on-macos#installing-node-modules-globally) \\n[Install Node.js on Linux/Embedded](doc:install-nodejs-on-linux#installing-node-modules-globally-linux-desktop)\"\n}\n[/block]","excerpt":"Emulate API calls with a scriptable CLI","slug":"install-command-line-tools","type":"basic","title":"Install the Command Line Tools"}

Install the Command Line Tools

Emulate API calls with a scriptable CLI

[block:api-header] { "type": "basic", "title": "Prerequisites" } [/block] Droplit command line tools require the Node.js runtime. [Install Node.js on Windows](doc:install-nodejs-on-windows) [Install Node.js on macOS](doc:install-nodejs-on-macos) [Install Node.js on Linux/Embedded](doc:install-nodejs-on-linux) [block:api-header] { "type": "basic", "title": "Installing the Droplit CLI" } [/block] The Droplit CLI provides full control of the API from the command line. Run: `npm install -g droplit-cli` For more details on how to use the droplit CLI, see: [Command Line Interface](doc:command-line-interface) [block:image] { "images": [ { "image": [ "https://files.readme.io/0258308-Screen_Shot_2016-12-05_at_9.13.11_PM.png", "Screen Shot 2016-12-05 at 9.13.11 PM.png", 589, 492, "#eff0ec" ] } ] } [/block] [block:callout] { "type": "warning", "title": "Permissions error when isntalling packages globally", "body": "If you encounter an **EACCES** error when installing npm packages globally, see:\n[Install Node.js on macOS](doc:install-nodejs-on-macos#installing-node-modules-globally) \n[Install Node.js on Linux/Embedded](doc:install-nodejs-on-linux#installing-node-modules-globally-linux-desktop)" } [/block]